Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api
Class FutureMessageResult

    java.lang.Object
      edu.emory.mathcs.backport.java.util.concurrent.FutureTask
          org.mule.api.FutureMessageResult

All Implemented Interfaces:
  edu.emory.mathcs.backport.java.util.concurrent.Future, edu.emory.mathcs.backport.java.util.concurrent.RunnableFuture, Runnable

    public class FutureMessageResult

extends edu.emory.mathcs.backport.java.util.concurrent.FutureTask

`FutureMessageResult` is an MuleMessage result of a remote invocation on a Mule Server. This object makes the result available to the client code once the request has been processed. This execution happens asynchronously.

Field Summary
`protected MuleContext` | `muleContext`

Constructor Summary
`FutureMessageResult(edu.emory.mathcs.backport.java.util.concurrent.Callable callable, MuleContext muleContext)`

Method Summary
`void` | `execute()` Start asynchronous execution of this task
`MuleMessage` | `getMessage()`
`MuleMessage` | `getMessage(long timeout)`
`void` | `setExecutor(edu.emory.mathcs.backport.java.util.concurrent.Executor e)` Set an ExecutorService to run this invocation.
`void` | `setTransformers(List t)` Set a post-invocation transformer.

Methods inherited from class edu.emory.mathcs.backport.java.util.concurrent.FutureTask
`cancel, done, get, get, isCancelled, isDone, run, runAndReset, set, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### muleContext

    protected MuleContext muleContext

Constructor Detail

### FutureMessageResult

    public FutureMessageResult(edu.emory.mathcs.backport.java.util.concurrent.Callable callable,
                               MuleContext muleContext)

Method Detail

### setExecutor

    public void setExecutor(edu.emory.mathcs.backport.java.util.concurrent.Executor e)

  Set an ExecutorService to run this invocation.

  Parameters:
    `e` - the executor to be used.
  Throws:
    `IllegalArgumentException` - when the executor is null or shutdown.

### setTransformers

    public void setTransformers(List t)

  Set a post-invocation transformer.

  Parameters:
    `t` - Transformers to be applied to the result of this invocation. May be null.

### getMessage

    public MuleMessage getMessage()
                           throws InterruptedException,
                                  edu.emory.mathcs.backport.java.util.concurrent.ExecutionException,
                                  TransformerException

  Throws:
    `InterruptedException`
    `edu.emory.mathcs.backport.java.util.concurrent.ExecutionException`
    `TransformerException`

### getMessage

    public MuleMessage getMessage(long timeout)
                           throws InterruptedException,
                                  edu.emory.mathcs.backport.java.util.concurrent.ExecutionException,
                                  edu.emory.mathcs.backport.java.util.concurrent.TimeoutException,
                                  TransformerException

  Throws:
    `InterruptedException`
    `edu.emory.mathcs.backport.java.util.concurrent.ExecutionException`
    `edu.emory.mathcs.backport.java.util.concurrent.TimeoutException`
    `TransformerException`

### execute

    public void execute()

  Start asynchronous execution of this task

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.